PDA

View Full Version : [FIXED] Built Versions of Sencha Charts



scishop
7 Jun 2014, 2:10 PM
Hi,

The downloaded version of Ext JS 5 includes the old charting package as a plugin which can directly be included in an app using:


<script type="text/javascript" src="/builder/resources/ext/packages/ext-charts/build/ext-charts.js"></script>

However, the download doesn't include a built version of the new sencha charts package. I do not use Sencha Cmd. How can I include the new charts in my app?

-Scott

mitchellsimoens
9 Jun 2014, 3:38 AM
I have opened a bug report for this.

Phil Guerrant
10 Jun 2014, 7:45 AM
as a workaround you can generate a build of sencha charts yourself by running



sencha package build


from the sencha-charts directory. You'll need sencha Cmd to do this, but then you should be able to use pakcages/sencha-charts/build/sencha-charts.js from your app without using Cmd to build your app.

thadude
10 Jul 2014, 5:56 AM
still not working until commenting the require Ext.chart.overrides.AbstractChart in Ext.chart.AbstractChart



Ext.define('Ext.chart.AbstractChart', {

extend: 'Ext.draw.Container',

requires: [
'Ext.chart.theme.Base',
'Ext.chart.theme.Theme',
'Ext.chart.series.Series',
'Ext.chart.interactions.Abstract',
'Ext.chart.axis.Axis',
'Ext.data.StoreManager',
'Ext.chart.Legend',
'Ext.data.Store'/*,
'Ext.chart.overrides.AbstractChart'*/
],